<copyright> gtomk SpinButton class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GTOMK.  GTOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GTOMK distribution; see the file COPYING.LIB.

    <id>$Id: SpinButton.t,v 1.4 1998/04/09 09:43:06 tiggr Exp $</id>
    </copyright>

<gtk_version>0.99.9</gtk_version>

<c>
#include "glue.h"
</c>

implementation class
GtkSpinButton: GtkEntry

instance (id)
  new (GtkAdjustment, float, int) (adjustment, climb_rate, digits)
{
  pointer p, obj = [adjustment gtkAdjustment];
<c>
  p = gtk_spin_button_new (obj, climb_rate, digits);
</c>
  = [[self alloc] init p];
}

end;

implementation instance
GtkSpinButton

<doc> Return the {gtkSpinButton} for which this object stands.  </doc>
pointer
  gtkSpinButton
{
  = object;
}

void
  construct (GtkAdjustment, float, int) (adjustment, climb_rate, digits)
{
  pointer obj = object, aobj;
  if (adjustment != nil)
    aobj = [adjustment gtkAdjustment];
<c>
  gtk_spin_button_construct (obj, aobj, climb_rate, digits);
</c>
}

void
  set_adjustment GtkAdjustment adjustment
{
  pointer obj = object, aobj = [adjustment gtkAdjustment];
<c>
  gtk_spin_button_set_adjustment (obj, aobj);
</c>
}

GtkAdjustment (adjustment)
  get_adjustment
{
  pointer obj = object, p;
<c>
  p = gtk_spin_button_get_adjustment (obj);
</c>
  if (!!p)
    adjustment = [GtkAdjustment proxy p];
}

void
  set_digits int digits
{
  pointer obj = object;
<c>
  gtk_spin_button_set_digits (obj, digits);
</c>
}

float (value)
  get_value_as_float
{
  pointer obj = object;
<c>
  value = gtk_spin_button_get_value_as_float (obj);
</c>
}

int (value)
  gtk_spin_button_get_value_as_int
{
  pointer obj = object;
<c>
  value = gtk_spin_button_get_value_as_int (obj);
</c>
}

void
  set_value float value
{
  pointer obj = object;
<c>
  gtk_spin_button_set_value (obj, value);
</c>
}

void
  set_update_policy int GTK_UPDATE_something
{
  pointer obj = object;
<c>
  gtk_spin_button_set_update_policy (obj, GTK_UPDATE_something);
</c>
}

void
  set_numeric int numeric
{
  pointer obj = object;
<c>
  gtk_spin_button_set_numeric (obj, numeric);
</c>
}

void
  spin (int, float) (direction, step)
{
  pointer obj = object;
<c>
  gtk_spin_button_spin (obj, direction, step);
</c>
}

void
  set_wrap int wrap
{
  pointer obj = object;
<c>
  gtk_spin_button_set_wrap (obj, wrap);
</c>
}

end;
